summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2013-10-27 06:55:47 +0100
committer Robby Workman2013-10-28 05:39:00 +0100
commit7feb96d9880c81e55439b46c272ea8565b1f3835 (patch)
treed6224406e319f9b55e7fdee26f569e18fb03bf36
parent4ba102dd2af3852add26129fe67fc8c3fc48904f (diff)
downloadslackbuilds-7feb96d9880c81e55439b46c272ea8565b1f3835.tar.gz
graphics/photoprint: Added (digital photograph/image printer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/photoprint/README3
-rw-r--r--graphics/photoprint/doinst.sh10
-rw-r--r--graphics/photoprint/photoprint.SlackBuild105
-rw-r--r--graphics/photoprint/photoprint.info10
-rw-r--r--graphics/photoprint/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/graphics/photoprint/README b/graphics/photoprint/README
new file mode 100644
index 0000000000..c3ab96c154
--- /dev/null
+++ b/graphics/photoprint/README
@@ -0,0 +1,3 @@
+PhotoPrint is a utility designed to assist in the process of printing
+digital photographs under Linux and other UNIX-like operating
+systems.
diff --git a/graphics/photoprint/doinst.sh b/graphics/photoprint/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/photoprint/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/photoprint/photoprint.SlackBuild b/graphics/photoprint/photoprint.SlackBuild
new file mode 100644
index 0000000000..d549ec8c07
--- /dev/null
+++ b/graphics/photoprint/photoprint.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for photoprint
+# Copyright 2013 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=photoprint
+VERSION=${VERSION:-0.4.2_pre2}
+SRCVERSION=${VERSION/_/-}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+cd $PRGNAM-$SRCVERSION
+
+find . -name "*.cpp" | xargs sed -i 's%glib/.*.h%glib.h%g'
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+LDFLAGS="-lX11" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/photoprint/photoprint.info b/graphics/photoprint/photoprint.info
new file mode 100644
index 0000000000..4bdb66863b
--- /dev/null
+++ b/graphics/photoprint/photoprint.info
@@ -0,0 +1,10 @@
+PRGNAM="photoprint"
+VERSION="0.4.2_pre2"
+HOMEPAGE="http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint"
+DOWNLOAD="http://blackfiveimaging.co.uk/photoprint/photoprint-0.4.2-pre2.tar.gz"
+MD5SUM="fbd33857d37081846df43cb52a9db3a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/graphics/photoprint/slack-desc b/graphics/photoprint/slack-desc
new file mode 100644
index 0000000000..beca46d50d
--- /dev/null
+++ b/graphics/photoprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+photoprint: photoprint (digital photograph/image printer)
+photoprint:
+photoprint: PhotoPrint is a utility designed to assist in the process of printing
+photoprint: digital photographs under Linux and other UNIX-like operating
+photoprint: systems.
+photoprint:
+photoprint: Homepage: http://blackfiveimaging.co.uk
+photoprint:
+photoprint:
+photoprint:
+photoprint: